## mhddfs 0.1.12

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	gcc $(CFLAGS) -c $< -o $@
 
 clean:
-	rm -fr obj $(TARGET)
+	rm -fr obj $(TARGET) pwrite_test
 
 release_svn_thread:
 	@echo current version $(VERSION)
@@ -68,6 +68,9 @@
 open_project:
 	screen -t vim vim Makefile src/* README* ChangeLog mhddfs.1
 
+pwrite_test: src/test/pwrite.c
+	gcc -o $@ $<
+
 .PHONY: all clean open_project tarball release_svn_thread
 
 include $(wildcard obj/*.d)
