## mhddfs 0.1.28

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,9 @@
 VERSION	=	$(shell cat src/version.h  \
 	|grep '^.define'|grep '[[:space:]]VERSION[[:space:]]' \
 	|awk '{print $$3}'|sed 's/\"//g' )
+RELEASE	=	0
+
+SRCDIR	=	$(shell rpm --eval '%_sourcedir')
 
 all: $(TARGET)
 
@@ -44,6 +47,12 @@
 	tar --exclude=.svn -czvf $@ mhddfs-$(VERSION)
 	rm -fr mhddfs-$(VERSION)
 
+rpm: tarball
+	mkdir -p $(SRCDIR)
+	mv -f mhddfs_$(VERSION).tar.gz $(SRCDIR)
+	rpmbuild -ba mhddfs.spec --define 'version $(VERSION)' --define 'release $(RELEASE)'
+	cp $(shell rpm --eval '%_srcrpmdir')/mhddfs-$(VERSION)-$(RELEASE)* \
+		$(shell rpm --eval '%_rpmdir')/*/mhddfs-*$(VERSION)-$(RELEASE)* .
 
 $(TARGET): obj/obj-stamp $(OBJ)
 	gcc $(CFLAGS) $(OBJ) -o $@ $(LDFLAGS)
@@ -56,8 +65,13 @@
 	gcc $(CFLAGS) -c $< -o $@
 
 clean:
-	rm -fr obj $(TARGET) pwrite_test statvfs
+	rm -fr obj $(TARGET) pwrite_test statvfs rename
+	fusermount -u rename-test || true
+	rm -fr rename-test/mnt
 
+rename: tests/rename.c
+	gcc -o $@ $<
+	
 release_svn_thread:
 	@echo current version $(VERSION)
 	if ! svn ls http://svn.uvw.ru/mhddfs/tags| \
@@ -117,10 +131,34 @@
 tests:
 	while make test; do echo ok; echo; done
 
+ptest:
+	gcc -o $@ tests/plocks.c -l pthread
+	-./$@
+	rm -f $@
+
 test-images: test1.img test2.img
+
+rename-test: $(TARGET)
+	fusermount -u $@/mnt || true
+	rm -f logfile.log
+	rm -fr $@
+	mkdir $@ $@/1 $@/2 $@/mnt
+	./$(TARGET) $@/1 $@/2 $@/mnt -o logfile=logfile.log,loglevel=0
+	touch $@/mnt/test-file
+	mv $@/mnt/test-file $@/mnt/test-file.1
+	mkdir $@/mnt/test-dir
+	mv $@/mnt/test-dir $@/mnt/test-dir.1
+	mkdir $@/2/test-dir.2
+	touch $@/2/test-dir.2/123
+	mkdir $@/mnt/test-dir.3
+	mv $@/mnt/test-dir.2/123 $@/mnt/test-dir.3
+	fusermount -u $@/mnt
+	rm -fr $@
+	@echo '******************** PASSED ***********************'
 
 .PHONY: all clean open_project tarball \
 	release_svn_thread test-mount test-umount \
-	images-mount test tests
+	images-mount test tests rename-test
 
 include $(wildcard obj/*.d)
+
