=== debian/control ===
Source: mhddfs
Section: utils
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: debhelper (>= 5), libfuse-dev, pkg-config, libattr1-dev
Standards-Version: 3.8.4
Homepage: http://mhddfs.uvw.ru
Vcs-Browser: http://svn.uvw.ru/mhddfs/trunk

Package: mhddfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 fuse-utils [!kfreebsd-amd64 !kfreebsd-i386]
Description: file system for unifying several mount points into one
 This FUSE-based file system allows mount points (or directories) to be
 combined, simulating a single big volume which can merge several hard
 drives or remote file systems. It is like unionfs, but can choose the
 drive with the most free space to create new files on, and can move
 data transparently between drives.
