=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Build-Depends: debhelper (>= 5), libfuse-dev, pkg-config, libattr1-dev
+Build-Depends: debhelper (>= 5),
+ libfuse-dev,
+ pkg-config,
+ libattr1-dev,
+ uthash-dev
 Standards-Version: 3.8.4
 Homepage: http://mhddfs.uvw.ru
 Vcs-Browser: http://svn.uvw.ru/mhddfs/trunk
