## mhddfs 0.1.39ubuntu1

=== debian/changelog ===
mhddfs (0.1.39ubuntu1) raring; urgency=low

  * Makefile: Add -pthread to LDFLAGS to fix underlinking FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 19 Apr 2013 15:50:03 -0400
