=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mhddfs
 Section: utils
 Priority: extra
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Build-Depends: debhelper (>= 5),
  libfuse-dev,
  pkg-config,
