## mhddfs 0.1.39%2Bnmu1ubuntu1

=== debian/changelog ===
mhddfs (0.1.39+nmu1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Makefile: Add -pthread to LDFLAGS to fix underlinking FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 May 2013 18:42:09 -0400

mhddfs (0.1.39+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on fuse instead of fuse-utils. (Closes: #698128)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 15:35:08 +0200
