## mhddfs 0.1.39+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mhddfs
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Build-Depends: debhelper (>= 5),
  libfuse-dev,
  pkg-config,
