=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,5 @@
 	dh_md5sums
 	dh_builddeb
 
-build-arch: build
-build-indep: build
 binary: binary-indep binary-arch
-.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure
