## mhddfs 0.1.39+nmu2

=== debian/changelog ===
mhddfs (0.1.39+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965728)
  * debian/rules: Add build-{arch,indep}. (Closes: #999269)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 20:53:48 +0200
