## mhddfs 0.1.39+nmu2build2

=== debian/changelog ===
mhddfs (0.1.39+nmu2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:59 +1100

mhddfs (0.1.39+nmu2build1) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:41:55 +0100
