## mhddfs 0.1.39.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 CFLAGS	+=	-DWITHOUT_XATTR
 endif
 
-LDFLAGS	=	$(shell pkg-config fuse --libs) -pthread
+LDFLAGS	=	$(shell pkg-config fuse --libs)
 
 FORTAR	=	src COPYING LICENSE README Makefile \
 		README.ru.UTF-8 ChangeLog mhddfs.1 \
