=== debian/changelog ===
mhddfs (0.1.39.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain in Package Salvage Team
    Closes: #638497, #1106726
  * Switch from deprecated <attr/xattr.h> to <sys/xattr.h>
    Closes: #953919
  * d/rules: short dh (note: build-time test deactivated since failing)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Secure URI in Homepage
  * Use [linux-any] instead of hardcoded list of non-Linux architectures
    Closes: #634517

  [ Ramkumar Natarajan ]
  * Fix crash due to use after free bug
    Closes: #876252

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #923638

  [ наб ]
  * d/p/:
      26d0f1...  remove spurious uthash.h addition(?)
      0004  Forward CFLAGS from environment
      0005  -Wformat-security
      0006  Build with FUSE3 (Closes: #1084426)
      0007  Run mhddfs instead of ./mhddfs in tests, umount properly in tests
      0008  Fix utimens for FUSE3 (as found by autopgtest)
      0009  sleep 1 after instead of before spawning mhddfs in utimes.sh test
      0010  Use CPPFLAGS correctly
      0011  _GNU_SOURCE instead of _BSD_SOURCE &c.
      0012  Use LIBS/LDFLAGS correctly
  * Ignore odd-historical-debian-changelog-version
  * Fully disable tests during build
  * Run  make rename-test dirtree-test symlinks_test  as autpkgtests

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 28 May 2025 17:33:05 +0200
