=== debian/control ===
Source: mhddfs
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>, наб <nabijaczleweli@nabijaczleweli.xyz>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfuse3-dev,
               pkgconf,
               libattr1-dev,
               uthash-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/mhddfs
Vcs-Git: https://salsa.debian.org/salvage-team/mhddfs.git
Homepage: https://mhddfs.uvw.ru

Package: mhddfs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fuse3 [linux-any]
Description: file system for unifying several mount points into one
 This FUSE-based file system allows mount points (or directories) to be
 combined, simulating a single big volume which can merge several hard
 drives or remote file systems. It is like unionfs, but can choose the
 drive with the most free space to create new files on, and can move
 data transparently between drives.
