=== debian/rules ===
#!/usr/bin/make -f

FREEBSD_FLAGS	= $(shell \
	if `dpkg-architecture -qDEB_BUILD_ARCH|grep -q 'kfreebsd'`; then \
		echo WITHOUT_XATTR=1; \
	fi \
)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- mhddfs $(FREEBSD_FLAGS)

override_dh_auto_test:
