=== debian/tests/control ===
Test-Command: exec make rename-test dirtree-test symlinks_test 2>&1
Depends: @, fuse3, rsync,  make
Restrictions: isolation-machine
# Needs to load fuse.ko
